use std::env::args;

const KNOWN_GRAPHEMES: [&str; 10] = ["a", "i", "u", "e", "o", "ka", "ki", "ku", "ke", "ko"];

// look at the first letter, if it exists in KNOWN_GRAPHEMES, then add to graphemes
// else look at the first and second letter, if that exists in KNOWN_GRAPHEMES, then add that to grapehemes
fn split_word(word: String) -> Vec<String> {
    let mut graphemes: Vec<String> = vec![];
    let mut word_chars = word.chars();
    let mut grapheme: String;

    loop {
        grapheme = match word_chars.next() {
            Some(val) => String::from(val),
            None => break,
        };
        dbg!(&grapheme);

        let temp = grapheme.as_str();

        if KNOWN_GRAPHEMES.contains(&temp) {
            graphemes.push(grapheme);
        } else {
            grapheme.push(word_chars.next().unwrap());

            let temp = grapheme.as_str();

            if KNOWN_GRAPHEMES.contains(&temp) {
                graphemes.push(grapheme);
            }
        }
    }

    return graphemes;
}

fn main() {
    // dbg!(KNOWN_GRAPHEMES);

    // dbg!(&args());

    if args().len() != 2 {
        panic!("fuck");
    }

    let input = match args().last() {
        Some(val) => val.trim().to_lowercase(),
        None => panic!("how?!"),
    };

    println!("Sanitised input: {}", input);

    let graphemes = split_word(input);

    dbg!(graphemes);
}
